interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json
  response:
    body:
      string: !!binary |
[encoded data, 15555 characters]
        mXP9B2qI3nZcBLJDkhXLM6hRjVFokw//P3XTmKtqBwEA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['10464']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:08 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjd4cj.2.1505364008381.Z0FBQUFBQlp1Z2dvdXhWcnlLRTg3Y0JaandsYTdHUkNaY1R2MFhha1VRN0tVM3AwcTdia2VuaTduZ1lNVVJ2WFhuLWNJNmRIalFweVRmR01La2RCdHdIU3B3blBNRkN1elVjbGY2X3otSHAzVG44T1ZDNnY2eUpCd3R5enllR09zbTM1WmZGeTFZVVA;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:08
          GMT; secure', 'session_tracker=cHtQbH92tSrbjosXFz.0.1505364008376.Z0FBQUFBQlp1Z2dvWnhlem81dWFiSmJWaDJOUTlNeWtJZldRMzhrRkRPYmNzdXNmTndYOXd5SWUxYTRWRzVheXNxNkwxUWx3TUV6b185YXlMcTNha1BRbVhscnJtRkJCaHZlbW5tcFBhN0ZYck5xbXJRbnhMWUtnZW9kZWhSWjhseTRTYnlGaXZlOWQ;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:08
          GMT; secure', edgebucket=JYiCj6U03ujklzGknW; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364008.361513,VS0,VE194']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjd4cj.2.1505364008381.Z0FBQUFBQlp1Z2dvdXhWcnlLRTg3Y0JaandsYTdHUkNaY1R2MFhha1VRN0tVM3AwcTdia2VuaTduZ1lNVVJ2WFhuLWNJNmRIalFweVRmR01La2RCdHdIU3B3blBNRkN1elVjbGY2X3otSHAzVG44T1ZDNnY2eUpCd3R5enllR09zbTM1WmZGeTFZVVA;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:08
          GMT; secure', 'session_tracker=cHtQbH92tSrbjosXFz.0.1505364008376.Z0FBQUFBQlp1Z2dvWnhlem81dWFiSmJWaDJOUTlNeWtJZldRMzhrRkRPYmNzdXNmTndYOXd5SWUxYTRWRzVheXNxNkwxUWx3TUV6b185YXlMcTNha1BRbVhscnJtRkJCaHZlbW5tcFBhN0ZYck5xbXJRbnhMWUtnZW9kZWhSWjhseTRTYnlGaXZlOWQ;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:08
          GMT; secure', edgebucket=JYiCj6U03ujklzGknW; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=TEm5PmX%2F9Ug9PNssr7de9xZQP0RRunPPRXrD6ADZoQ8wIHsylhbKXD%2FDpPN9x%2Bubc65TcTo%2F4dU%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=JYiCj6U03ujklzGknW; loid=00000000000drjd4cj.2.1505364008381.Z0FBQUFBQlp1Z2dvdXhWcnlLRTg3Y0JaandsYTdHUkNaY1R2MFhha1VRN0tVM3AwcTdia2VuaTduZ1lNVVJ2WFhuLWNJNmRIalFweVRmR01La2RCdHdIU3B3blBNRkN1elVjbGY2X3otSHAzVG44T1ZDNnY2eUpCd3R5enllR09zbTM1WmZGeTFZVVA;
          session_tracker=cHtQbH92tSrbjosXFz.0.1505364008376.Z0FBQUFBQlp1Z2dvWnhlem81dWFiSmJWaDJOUTlNeWtJZldRMzhrRkRPYmNzdXNmTndYOXd5SWUxYTRWRzVheXNxNkwxUWx3TUV6b185YXlMcTNha1BRbVhscnJtRkJCaHZlbW5tcFBhN0ZYck5xbXJRbnhMWUtnZW9kZWhSWjhseTRTYnlGaXZlOWQ]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json
  response:
    body:
      string: !!binary |
[encoded data, 15555 characters]
        HtgpNcRFlpyxwo0gtx0XgeyQZMXyDGpUYxTa7MP/D3GI4vdqBwEA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['10470']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:08 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364009.603362,VS0,VE129']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=cHtQbH92tSrbjosXFz.0.1505364008617.Z0FBQUFBQlp1Z2dvMGZzWnVIeExiVnZjZmEzYVl6dXFNVFd3TXZJYUsyNFlFTm5haENibFdtcXdTY09TLUhDRnFhUlV1dTBsRUNrTDRGRmZoZUdPLUVDS1BnTklvVU9RT0dMb1VzQU5WZkJJeHJpdEI2cm56RE5HMmRGM2xoNkludWpjcDRiMWcwOEY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:08
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=NY1KnkSUo1SwjZj%2Bw%2FYu%2B28agb1YtxA0MEnMLbFLQwBb3a6fknvyNKO1XoSQ0P8CmH8%2Bm390bbA%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
